Bug 416641 - xinetd fails to start with selinux enabled
xinetd fails to start with selinux enabled
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-08 12:43 EST by Hayden James
Modified: 2008-01-30 14:19 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:19:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayden James 2007-12-08 12:43:51 EST
Description of problem: xinetd fails to start with selinux enabled

Enabled:

[root@hayden ~]# setenforce 1
[root@hayden ~]# service xinetd start
Starting xinetd: /bin/bash: /usr/sbin/xinetd: Permission denied
                                                           [FAILED]

Disabled:

[root@hayden ~]# setenforce 0
[root@hayden ~]# service xinetd start
Starting xinetd:                                           [  OK  ]

[root@hayden ~]# rpm -qa | grep xinetd
xinetd-2.3.14-14.fc8

[root@hayden ~]# rpm -qa | grep selinux
libselinux-2.0.43-1.fc8
libselinux-python-2.0.43-1.fc8
selinux-policy-devel-3.0.8-62.fc8
libselinux-2.0.43-1.fc8
selinux-policy-3.0.8-62.fc8
libselinux-devel-2.0.43-1.fc8
selinux-policy-targeted-3.0.8-62.fc8
Comment 1 Daniel Walsh 2007-12-10 09:44:38 EST
If you execute 

# semanage login -m -s unconifned_u __default__
Then logout and log back in.  Does it work for you?


Comment 2 Daniel Walsh 2007-12-10 09:46:06 EST
This change will show up in selinux-policy-3.0.8-68.fc8
Comment 3 Hayden James 2007-12-10 19:06:27 EST
[root@hayden ~]# semanage login -m -s unconifned_u __default__
libsemanage.validate_handler: selinux user unconifned_u does not exist No such
file or directory.
libsemanage.validate_handler: seuser mapping [__default__ -> (unconifned_u, s0)]
is invalid No such file or directory.
libsemanage.dbase_llist_iterate: could not iterate over records No such file or
directory.
/usr/sbin/semanage: Could not modify login mapping for __default__

[root@hayden ~]# service xinetd start
Starting xinetd: /bin/bash: /usr/sbin/xinetd: Permission denied
                                                           [FAILED]
Comment 4 Daniel Walsh 2007-12-13 16:11:19 EST
Ok try .

semanage user -a -P unconfined -R "unconfined_r system_r" -r s0-s0:c0.c1023
unconfined_u 
semanage login -m -s unconfined_u -r s0-s0:c0.c1023 __default__
Comment 5 Hayden James 2007-12-13 21:53:33 EST
[root@hayden ~]# semanage user -a -P unconfined -R "unconfined_r system_r" -r
s0-s0:c0.c1023 unconfined_u
/usr/sbin/semanage: SELinux user unconfined_u is already defined
[root@hayden ~]# semanage login -m -s unconfined_u -r s0-s0:c0.c1023 __default__
[root@hayden ~]# service xinetd start
Starting xinetd: /bin/bash: /usr/sbin/xinetd: Permission denied
                                                           [FAILED]
Comment 6 Daniel Walsh 2007-12-14 07:22:07 EST
Now you have to log all the way out and log back in.  Back to the Login prompt.
Comment 7 Daniel Walsh 2008-01-30 14:19:34 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.